      subroutine nomfil(iunit,racine,file1,prefix,status,form)
      common/svfil/fil11
      character*1 prefix(10),racine(10)
      character*7 status
      character*40 file1,blan40,fil11
      character*20 file
      character*1  fil(20)
      character*11 form
      equivalence (fil(1),file)
c     namelist /tes/ file1,blan40
      blan40=' '
      file='                                           '
C      OPEN FILES
      call nomf(fil,prefix,racine)
c     write(6,tes)
c     if(file1.eq.blan40)write(6,*)'egalite'
      if(file1.eq.blan40) file1=file
c     write(6,*)'file1   ',file1
c     write(6,*)'blan40  ',blan40
c     write(6,tes)
c     if(file1.eq.blan40)write(6,*)'egalite'
      write(75,*)'ouverture de la file',iunit,' ',file1,status,'$'
      call scril
c     write(6,*)fil,iunit,racine,status,file1
      ier=0
      OPEN (UNIT=iunit,FORM=form,STATUS=status,file=file1)
      if(iunit.eq.11) fil11=file1
c      write(6,*)'fin ouverture des files'
      return
      end
